[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[Libguestfs] ANNOUNCE: libguestfs >= 1.23.5 will require Augeas >= 1.0.0



There are two parts to this change.

(1) libguestfs >= 1.23.5 will require Augeas >= 1.0.0.

Augeas is a library for parsing and editing Linux configuration files.

Previously Augeas was optional, and that will remain true in
libguestfs < 1.23.5.  It has always been highly recommended because
it's a great little library and if you don't have it then significant
inspection features don't work.

While fixing the following bug:

https://bugzilla.redhat.com/show_bug.cgi?id=975412

I had to pick Augeas >= 1.0.0 [*], and at the same time I decided to
make Augeas required.

(2) Augeas 1.0.0 shipped with another bug which affects inspection:

https://bugzilla.redhat.com/show_bug.cgi?id=904222

So if you are thinking of adding or updating Augeas in your distro in
order to cater for (1), then it's worth also including the following
patch which fixes this bug:

https://github.com/hercules-team/augeas/commit/d6959e62

Rich.

[*] Since the library ABI changed -- or we were using it wrong
depending on whom you believe.

-- 
Richard Jones, Virtualization Group, Red Hat http://people.redhat.com/~rjones
virt-df lists disk usage of guests without needing to install any
software inside the virtual machine.  Supports Linux and Windows.
http://people.redhat.com/~rjones/virt-df/


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]